classification
Title: Update sqlite version for Windows build
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Big Stone, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-08-28 11:18 by Big Stone, last changed 2016-09-13 18:18 by Big Stone. This issue is now closed.

Messages (7)
msg273821 - (view) Author: Big Stone (Big Stone) Date: 2016-08-28 11:18
Sqlite-3.14.1 includes a lot of fixes since sqlite-38.11, including some for windows ;-) . it would be nice to upgrade
msg273823 - (view) Author: Big Stone (Big Stone) Date: 2016-08-28 14:44
remark: since sqlite 3.11.0, sqlite.org default sqlite3.dll includes  FTS3, FTS5, RTREE, DBSTAT, JSON1, and RBU extensions, causing sqlite3.dll to jump to 1646Ko size instead of 756Ko current (windows 64).

This works well over Python3.5.2 64 bit, but you may prefer a version with not all these extensions. I don't know the respective size of each one. 

the JSON1 extension would be nice if we can keep it: 
- web technology,
- similar to postgresql, so good to go at schools.
msg274285 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-03 04:33
I agree, we should update our sqlite version.  I'll try to get to this next week, but it shouldn't be a big deal if it misses beta 1 since it's not a new feature.
msg274424 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-05 19:33
New changeset 792e7a8dddb8 by Zachary Ware in branch 'default':
Issue #27883: Update sqlite to 3.14.1 on Windows
https://hg.python.org/cpython/rev/792e7a8dddb8
msg274425 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-05 19:36
Updated.  I don't know what extensions are or are not included, please open additional issue(s) if something should be added or removed.
msg274427 - (view) Author: Big Stone (Big Stone) Date: 2016-09-05 19:57
thanks! I suppose I have to wait official python3.6b1 for windows to tell you what you included.
msg276316 - (view) Author: Big Stone (Big Stone) Date: 2016-09-13 18:18
well, json extension is not included in 3.6.0b1 . not a drama, yet a small deception
History
Date User Action Args
2016-09-13 18:18:04Big Stonesetmessages: + msg276316
2016-09-05 19:57:25Big Stonesetmessages: + msg274427
2016-09-05 19:36:04zach.waresetstatus: open -> closed
resolution: fixed
messages: + msg274425

stage: needs patch -> resolved
2016-09-05 19:33:15python-devsetnosy: + python-dev
messages: + msg274424
2016-09-03 04:33:39zach.waresettitle: sqlite-3.14.1 for Python_3.6.0b1 ? -> Update sqlite version for Windows build
messages: + msg274285
stage: needs patch
2016-08-28 14:44:47Big Stonesetmessages: + msg273823
2016-08-28 11:18:09Big Stonecreate